

# Introduction to the file structure:

## ___resource_ARXmodel
Folder of ARX model data.

### database_myARXModel.mat
Core data of ARX model. The data is saved in MATLAB .mat format.

Data structure:
```
myARXModel.na       na of ARX model
myARXModel.nb       nb of ARX model
myARXModel.n_in     number of input 
myARXModel.n_out    number of output
myARXModel.THETA    Identification matrix of ARX, contains Ai and Bi.
```

The coefficient matrix Ai and Bi can be extracted by following code.

```
anchor = 1;

for i = 1:myARXModel.na
    myARXModel.A(1:myARXModel.n_out,1:myARXModel.n_out,i) = ...
        myARXModel.THETA(1:myARXModel.n_out, anchor:anchor+myARXModel.n_out-1);
    anchor = anchor + myARXModel.n_out;
end
for i = 1:myARXModel.nb
    myARXModel.B(1:myARXModel.n_out,1:myARXModel.n_in,i) = ...
        myARXModel.THETA(1:myARXModel.n_out, anchor:anchor+myARXModel.n_in-1);
    anchor = anchor + myARXModel.n_in;
end
```

## ___resource_continueDATA
Forder of data for continued calculation.

## panelFlutter_ROM_RK.m
A program of time advancement for panel flutter with an improved Runge-Kutta method.

- Load ARX Model
- Calculation setting
- Get ARX coefficient matrix
- Get static ARX model coefficient matrix
- Solve fixed point position
- Get state space model coefficient matrix
- Convert to continuous-time
- Get Jacobian matrix
- Examine stability
- Gather results

## DynamicEquation_RK.m
A function of structural dynamic equations for Runge-Kutta method.

## ContinueCalcu_resample.m
A function used to resample data when performing a continued calculation.
This step is performed because when the dynamic pressure changes, the time step will also change accordingly
